
/* Generated data (by glib-mkenums) */

#include <glib-object.h>
#include "nxplottypebuiltins.h"



/* enumerations from "nxpcanvasobject.h" */
#include "nxpcanvasobject.h"

static const GEnumValue _nxp_canvas_object_interaction_values[] = {
  { NXP_COBJ_INTERACTION_NONE, "NXP_COBJ_INTERACTION_NONE", "none" },
  { NXP_COBJ_INTERACTION_MOVE, "NXP_COBJ_INTERACTION_MOVE", "move" },
  { NXP_COBJ_INTERACTION_RESIZE_N, "NXP_COBJ_INTERACTION_RESIZE_N", "resize-n" },
  { NXP_COBJ_INTERACTION_RESIZE_NE, "NXP_COBJ_INTERACTION_RESIZE_NE", "resize-ne" },
  { NXP_COBJ_INTERACTION_RESIZE_E, "NXP_COBJ_INTERACTION_RESIZE_E", "resize-e" },
  { NXP_COBJ_INTERACTION_RESIZE_SE, "NXP_COBJ_INTERACTION_RESIZE_SE", "resize-se" },
  { NXP_COBJ_INTERACTION_RESIZE_S, "NXP_COBJ_INTERACTION_RESIZE_S", "resize-s" },
  { NXP_COBJ_INTERACTION_RESIZE_SW, "NXP_COBJ_INTERACTION_RESIZE_SW", "resize-sw" },
  { NXP_COBJ_INTERACTION_RESIZE_W, "NXP_COBJ_INTERACTION_RESIZE_W", "resize-w" },
  { NXP_COBJ_INTERACTION_RESIZE_NW, "NXP_COBJ_INTERACTION_RESIZE_NW", "resize-nw" },
  { NXP_COBJ_INTERACTION_MOVE_RESIZE, "NXP_COBJ_INTERACTION_MOVE_RESIZE", "move-resize" },
  { 0, NULL, NULL }
};

GType
nxp_canvas_object_interaction_get_type (void)
{
  static GType type = 0;

  if (!type)
    type = g_enum_register_static ("NxpCanvasObjectInteraction", _nxp_canvas_object_interaction_values);

  return type;
}


static const GFlagsValue _nxp_canvas_object_interaction_mask_values[] = {
  { NXP_COBJ_INTERACTION_MOVE_MASK, "NXP_COBJ_INTERACTION_MOVE_MASK", "move-mask" },
  { NXP_COBJ_INTERACTION_RESIZE_N_MASK, "NXP_COBJ_INTERACTION_RESIZE_N_MASK", "resize-n-mask" },
  { NXP_COBJ_INTERACTION_RESIZE_NE_MASK, "NXP_COBJ_INTERACTION_RESIZE_NE_MASK", "resize-ne-mask" },
  { NXP_COBJ_INTERACTION_RESIZE_E_MASK, "NXP_COBJ_INTERACTION_RESIZE_E_MASK", "resize-e-mask" },
  { NXP_COBJ_INTERACTION_RESIZE_SE_MASK, "NXP_COBJ_INTERACTION_RESIZE_SE_MASK", "resize-se-mask" },
  { NXP_COBJ_INTERACTION_RESIZE_S_MASK, "NXP_COBJ_INTERACTION_RESIZE_S_MASK", "resize-s-mask" },
  { NXP_COBJ_INTERACTION_RESIZE_SW_MASK, "NXP_COBJ_INTERACTION_RESIZE_SW_MASK", "resize-sw-mask" },
  { NXP_COBJ_INTERACTION_RESIZE_W_MASK, "NXP_COBJ_INTERACTION_RESIZE_W_MASK", "resize-w-mask" },
  { NXP_COBJ_INTERACTION_RESIZE_NW_MASK, "NXP_COBJ_INTERACTION_RESIZE_NW_MASK", "resize-nw-mask" },
  { 0, NULL, NULL }
};

GType
nxp_canvas_object_interaction_mask_get_type (void)
{
  static GType type = 0;

  if (!type)
    type = g_flags_register_static ("NxpCanvasObjectInteractionMask", _nxp_canvas_object_interaction_mask_values);

  return type;
}



/* enumerations from "nxplot.h" */
#include "nxplot.h"

static const GEnumValue _nxplot_linemode_values[] = {
  { NXPLOT_LINEMODE_SOLID, "NXPLOT_LINEMODE_SOLID", "solid" },
  { NXPLOT_LINEMODE_DOTTED, "NXPLOT_LINEMODE_DOTTED", "dotted" },
  { NXPLOT_LINEMODE_DOTDASHED, "NXPLOT_LINEMODE_DOTDASHED", "dotdashed" },
  { NXPLOT_LINEMODE_SHORTDASHED, "NXPLOT_LINEMODE_SHORTDASHED", "shortdashed" },
  { NXPLOT_LINEMODE_LONGDASHED, "NXPLOT_LINEMODE_LONGDASHED", "longdashed" },
  { NXPLOT_LINEMODE_DOTDOTDASHED, "NXPLOT_LINEMODE_DOTDOTDASHED", "dotdotdashed" },
  { NXPLOT_LINEMODE_DOTDOTDOTDASHED, "NXPLOT_LINEMODE_DOTDOTDOTDASHED", "dotdotdotdashed" },
  { NXPLOT_LINEMODE_DISCONNECTED, "NXPLOT_LINEMODE_DISCONNECTED", "disconnected" },
  { 0, NULL, NULL }
};

GType
nxplot_linemode_get_type (void)
{
  static GType type = 0;

  if (!type)
    type = g_enum_register_static ("NxplotLinemode", _nxplot_linemode_values);

  return type;
}


static const GEnumValue _nxplot_halign_values[] = {
  { NXPLOT_HALIGN_LEFT, "NXPLOT_HALIGN_LEFT", "left" },
  { NXPLOT_HALIGN_CENTER, "NXPLOT_HALIGN_CENTER", "center" },
  { NXPLOT_HALIGN_RIGHT, "NXPLOT_HALIGN_RIGHT", "right" },
  { 0, NULL, NULL }
};

GType
nxplot_halign_get_type (void)
{
  static GType type = 0;

  if (!type)
    type = g_enum_register_static ("NxplotHAlign", _nxplot_halign_values);

  return type;
}


static const GEnumValue _nxplot_valign_values[] = {
  { NXPLOT_VALIGN_BOTTOM, "NXPLOT_VALIGN_BOTTOM", "bottom" },
  { NXPLOT_VALIGN_BASELINE, "NXPLOT_VALIGN_BASELINE", "baseline" },
  { NXPLOT_VALIGN_CENTER, "NXPLOT_VALIGN_CENTER", "center" },
  { NXPLOT_VALIGN_CAPLINE, "NXPLOT_VALIGN_CAPLINE", "capline" },
  { NXPLOT_VALIGN_TOP, "NXPLOT_VALIGN_TOP", "top" },
  { 0, NULL, NULL }
};

GType
nxplot_valign_get_type (void)
{
  static GType type = 0;

  if (!type)
    type = g_enum_register_static ("NxplotVAlign", _nxplot_valign_values);

  return type;
}



/* Generated data ends here */

